org.eclipse.net4j.util.security

## Class DiffieHellman.Client

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.Client

- Enclosing class:
    DiffieHellman

      public static class DiffieHellman.Client
      extends Object

  Executes the client-side of the Diffie-Hellman key agreement protocol.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DiffieHellman.Client.Response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiffieHellman.Client.Response` | `handleChallenge(DiffieHellman.Server.Challenge challenge, byte[] clearText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client()

  - ### Method Detail

    - #### handleChallenge

          public DiffieHellman.Client.Response handleChallenge(DiffieHellman.Server.Challenge challenge,
                                                               byte[] clearText)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html